<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Package org.apache.commons.configuration2.interpol (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.commons.configuration2.interpol (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.commons.configuration2.interpol" class="title">Uses of Package<br>org.apache.commons.configuration2.interpol</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.convert">org.apache.commons.configuration2.convert</a></td>
<td class="colLast">
<div class="block">
 This package contains interfaces and classes related to data type conversions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.interpol">org.apache.commons.configuration2.interpol</a></td>
<td class="colLast">
<div class="block">
 A package with helper classes used for interpolation (variable substitution).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.resolver">org.apache.commons.configuration2.resolver</a></td>
<td class="colLast">
<div class="block">
 A package containing EntityResolvers.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/Lookup.html#org.apache.commons.configuration2">Lookup</a>
<div class="block">
 Definition of an interface for looking up variables during interpolation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2.builder">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/InterpolatorSpecification.html#org.apache.commons.configuration2.builder">InterpolatorSpecification</a>
<div class="block">
 A simple value class defining a <a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/Lookup.html#org.apache.commons.configuration2.builder">Lookup</a>
<div class="block">
 Definition of an interface for looking up variables during interpolation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2.builder.combined">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.convert">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/convert/package-summary.html">org.apache.commons.configuration2.convert</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2.convert">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.interpol">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2.interpol">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/DefaultLookups.html#org.apache.commons.configuration2.interpol">DefaultLookups</a>
<div class="block">
 An enumeration class defining constants for the <code>Lookup</code> objects
 available for each <code>Configuration</code> object per default.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/DummyLookup.html#org.apache.commons.configuration2.interpol">DummyLookup</a>
<div class="block">
 A simple dummy <code>Lookup</code> implementation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ExprLookup.Variable.html#org.apache.commons.configuration2.interpol">ExprLookup.Variable</a>
<div class="block">The key and corresponding object that will be made available to the
 JexlContext for use in expressions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ExprLookup.Variables.html#org.apache.commons.configuration2.interpol">ExprLookup.Variables</a>
<div class="block">List wrapper used to allow the Variables list to be created as beans in
 DefaultConfigurationBuilder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/InterpolatorSpecification.html#org.apache.commons.configuration2.interpol">InterpolatorSpecification</a>
<div class="block">
 A simple value class defining a <a href="../../../../../org/apache/commons/configuration2/interpol/ConfigurationInterpolator.html" title="class in org.apache.commons.configuration2.interpol"><code>ConfigurationInterpolator</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/InterpolatorSpecification.Builder.html#org.apache.commons.configuration2.interpol">InterpolatorSpecification.Builder</a>
<div class="block">A <em>builder</em> class for creating instances of
 <code>InterpolatorSpecification</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/Lookup.html#org.apache.commons.configuration2.interpol">Lookup</a>
<div class="block">
 Definition of an interface for looking up variables during interpolation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.resolver">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../org/apache/commons/configuration2/interpol/package-summary.html">org.apache.commons.configuration2.interpol</a> used by <a href="../../../../../org/apache/commons/configuration2/resolver/package-summary.html">org.apache.commons.configuration2.resolver</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../org/apache/commons/configuration2/interpol/class-use/ConfigurationInterpolator.html#org.apache.commons.configuration2.resolver">ConfigurationInterpolator</a>
<div class="block">
 A class that handles interpolation (variable substitution) for configuration
 objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/interpol/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
